ColumnFamilyRecordReader (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.hadoop

## Class ColumnFamilyRecordReader

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>
  - - org.apache.cassandra.hadoop.ColumnFamilyRecordReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>

      public class ColumnFamilyRecordReader
      extends org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>
      implements org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnFamilyRecordReader()`
    `ColumnFamilyRecordReader(int keyBufferSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.nio.ByteBuffer` | `createKey()`
    `java.util.SortedMap<java.nio.ByteBuffer,Cell>` | `createValue()`
    `java.nio.ByteBuffer` | `getCurrentKey()`
    `java.util.SortedMap<java.nio.ByteBuffer,Cell>` | `getCurrentValue()`
    `long` | `getPos()`
    `float` | `getProgress()`
    `void` | `initialize(org.apache.hadoop.mapreduce.InputSplit split, org.apache.hadoop.mapreduce.TaskAttemptContext context)`
    `boolean` | `next(java.nio.ByteBuffer key, java.util.SortedMap<java.nio.ByteBuffer,Cell> value)`
    `boolean` | `nextKeyValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

          public static final int CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ColumnFamilyRecordReader

          public ColumnFamilyRecordReader()

    - #### ColumnFamilyRecordReader

          public ColumnFamilyRecordReader(int keyBufferSize)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`
      Specified by:
        `close` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`

    - #### getCurrentKey

          public java.nio.ByteBuffer getCurrentKey()

      Specified by:
        `getCurrentKey` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`

    - #### getCurrentValue

          public java.util.SortedMap<java.nio.ByteBuffer,Cell> getCurrentValue()

      Specified by:
        `getCurrentValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`

    - #### getProgress

          public float getProgress()

      Specified by:
        `getProgress` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`
      Specified by:
        `getProgress` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`

    - #### initialize

          public void initialize(org.apache.hadoop.mapreduce.InputSplit split,
                        org.apache.hadoop.mapreduce.TaskAttemptContext context)
                          throws java.io.IOException

      Specified by:
        `initialize` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`
      Throws:
        `java.io.IOException`

    - #### nextKeyValue

          public boolean nextKeyValue()
                               throws java.io.IOException

      Specified by:
        `nextKeyValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`
      Throws:
        `java.io.IOException`

    - #### next

          public boolean next(java.nio.ByteBuffer key,
                     java.util.SortedMap<java.nio.ByteBuffer,Cell> value)
                       throws java.io.IOException

      Specified by:
        `next` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`
      Throws:
        `java.io.IOException`

    - #### createKey

          public java.nio.ByteBuffer createKey()

      Specified by:
        `createKey` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`

    - #### createValue

          public java.util.SortedMap<java.nio.ByteBuffer,Cell> createValue()

      Specified by:
        `createValue` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`

    - #### getPos

          public long getPos()
                      throws java.io.IOException

      Specified by:
        `getPos` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,Cell>>`
      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation